libzypp: zyppng::Context Class Reference

libzypp 17.38.6

zyppng::Context Class Reference

`#include <zypp/ng/context.h>`

## Public Types
using | ProvideType = Provide

## Public Member Functions
| ZYPP_DECL_PRIVATE_CONSTR (Context)
ProvideRef | provider () const
KeyRingRef | keyRing () const
zypp::ZConfig & | config ()
zypp::ResPool | pool ()
zypp::ResPoolProxy | poolProxy ()
zypp::sat::Pool | satPool ()

## Static Public Member Functions
static ContextRef | defaultContext ()

## Static Public Attributes
static constexpr auto | isAsync = false

## Private Attributes
ProvideRef | _media

## Detailed Description

Definition at line 27 of file context.h.

## Member Typedef Documentation

## ◆ ProvideType

using zyppng::Context::ProvideType = Provide

Definition at line 34 of file context.h.

## Member Function Documentation

## ◆ ZYPP_DECL_PRIVATE_CONSTR()

zyppng::Context::ZYPP_DECL_PRIVATE_CONSTR | ( | Context |  | ) |

## ◆ defaultContext()

ContextRef zyppng::Context::defaultContext | ( |  | ) |
| static

Returns the default sync zypp context. This is only a workaround to support the Legacy APIs. For new style APIs the Context should always explicitely be passed down. So use it only in top level external classes where we can not touch the API.

Definition at line 26 of file context.cc.

## ◆ provider()

ProvideRef zyppng::Context::provider | ( |  | ) | const

Definition at line 32 of file context.cc.

## ◆ keyRing()

KeyRingRef zyppng::Context::keyRing | ( |  | ) | const

Definition at line 37 of file context.cc.

## ◆ config()

zypp::ZConfig & zyppng::Context::config | ( |  | ) |

Definition at line 42 of file context.cc.

## ◆ pool()

zypp::ResPool zyppng::Context::pool | ( |  | ) |

Definition at line 47 of file context.cc.

## ◆ poolProxy()

zypp::ResPoolProxy zyppng::Context::poolProxy | ( |  | ) |

Definition at line 52 of file context.cc.

## ◆ satPool()

zypp::sat::Pool zyppng::Context::satPool | ( |  | ) |

Definition at line 57 of file context.cc.

## Member Data Documentation

## ◆ isAsync

auto zyppng::Context::isAsync = false
| staticconstexpr

Definition at line 35 of file context.h.

## ◆ _media

ProvideRef zyppng::Context::_media
| private

Definition at line 48 of file context.h.

The documentation for this class was generated from the following files:

- zypp/ng/context.h
- zypp/ng/context.cc